### Method

# Vte Terminal set_cjk_ambiguous_width

#### Declaration [src]

    void
    vte_terminal_set_cjk_ambiguous_width (
      VteTerminal* terminal,
      int width
    )

#### Description [src]

This setting controls whether ambiguous-width characters are narrow or wide. (Note that when using a non-UTF-8 encoding set via vte_terminal_set_encoding(), the width of ambiguous-width characters is fixed and determined by the encoding itself.).

Sets property | `Vte.Terminal:cjk-ambiguous-width`

#### Parameters

`width`

  Type: `int`

  Either 1 (narrow) or 2 (wide).